Subject: Re: [PATCH net] net: validate veth and vxcan peer ifindexes

From: Ido Schimmel <[email-masked]>
Date: Tue, 22 Aug 2023 13:39:27 +0300

On Mon, Aug 21, 2023 at 10:48:44AM -0700, Jakub Kicinski wrote:
> On Sun, 20 Aug 2023 19:08:13 +0300 Ido Schimmel wrote:
> > There is another report here [1] with a reproducer [2]. Even with this
> > patch, the reproducer can still trigger the warning on net-next. Don't
> > we also need to reject a negative ifindex in the ancillary header? At
> > least with the following diff the warning does not trigger anymore:
> 
> Yeah, definitely, please go ahead and submit.

Sure, will submit tomorrow morning.

> Is "ancillary header" used more commonly as a term? in gnel we usually
> call this thing "user header" or "fixed header".

I honestly don't know. IIRC I saw David using the term a few years ago
and decided to adopt it.